Index a document from text contentAsk AIpost https://api.ducky.ai/v1/documents/index-textIndex a document into the specified index by providing the content as a JSON object.Body ParamsThe request payload containing the text content and metadata to be indexed.index_namestringrequiredThe name of the index to add the document todoc_idstringThe ID of the document. If not provided, a unique document ID will be automatically generated by the server.contentstringrequiredlength ≥ 1The text content of the document to be indexedtitlestringTitle of the document to be indexedurlstringURL associated with the document to be indexedfile_idstringThe ID of the file. If not provided, a unique file ID will be automatically generated by the servermetadataobjectMetadata associated with the document. Accepts key value pairs where the value can be a string, number, boolean, or list of strings.DocumentMetadata objectResponses 202Document indexing request accepted. Ducky will index the document asynchronously. 400Invalid request (e.g., missing or invalid fields) 404Index not foundUpdated 7 months ago